#include <iostream>
#include <string>

using namespace std;

int main()
{
    char a, b;
    cin >> a >> b;

    int x, y;
    cin >> x >> y;

    string trazeni_string = "";

    if (x - y == 1)
    {
        for (int i = 0; i < y; ++i)
        {
            trazeni_string += a;
            trazeni_string += b;
        }
        trazeni_string += a;
    }
    else if (x == y)
    for (int i = 0; i < y; ++i)
    {
        trazeni_string += a;
        trazeni_string += b;
    }
    else if (y - x == 1)
    {
        for (int i = 0; i < x; ++i)
        {
            trazeni_string += b;
            trazeni_string += a;
        }
        trazeni_string += b;
    }
    else
    {
       cout << "nemoguce";
       return 0;
    }

    cout << trazeni_string;
    return 0;
}